Bug 47459 - XFree86-FBDev update hangs on ATI Rage Mobility 128
XFree86-FBDev update hangs on ATI Rage Mobility 128
Product: Red Hat Linux
Classification: Retired
Component: XFree86-Servers (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-07-05 11:32 EDT by Gilles Detillieux
Modified: 2007-04-18 12:34 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-07-22 22:43:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Gilles Detillieux 2001-07-05 11:32:44 EDT
Description of Problem:
I've installed Red Hat 7.1 on a Dell Inspiron 8000, using a standard laptop
installation with
KDE as the desktop, and all the relevant update RPMs from the errata. After
XFree86-FBDev-3.3.6-38.i386.rpm, I found that the system freezes at the KDE
window after logging out from a KDE session. This is on an ATI Rage
Mobility 128 AGP
with a display mode of 1400x1050 and a depth of 16. When it freezes, it
doesn't respond
to Ctrl-Alt-Backspace, Ctrl-Alt-F*, or anything like that, and the touch
pad and tracking
button don't make the cursor budge. All I can do is power-down and reboot
at this point.
Going back to XFree86-FBDev-3.3.6-35.i386.rpm from the CD solved the

How Reproducible:

Steps to Reproduce:
1. Install 7.1 on an Inspiron 8000 as above.
2. Install all relevant update RPMs (rpm -Fvh *.rpm)
3. Login to KDE and logout again.

Actual Results:
It hangs as described above.

Expected Results:
Shouldn't hang.

Additional Information:
I didn't keep any X Server logs, but my config files are available on
request. It's a pretty
vanilla installation, though.
Comment 1 Mike A. Harris 2001-07-22 22:43:21 EDT
Why aren't you using the 4.x server?  "Xconfigurator --preferxf4"

Either way, I need logs and configs to proceed, please attach both
using the link below (uncompressed).
Comment 2 Mike A. Harris 2001-07-24 23:29:13 EDT
Use the fbdev support in 4.x.
Comment 3 Gilles Detillieux 2001-07-25 13:09:05 EDT
I'm not using 4.x because, as I said, I just did a pretty vanilla installation,
and the installer didn't give me an option to use 4.x, at least not that I
noticed. I wasn't even aware of the --preferxf4 option to Xconfigurator until
you mentioned it. Given that the installer uses 3.3.6 by default, I'd guess that
only a small minority of your users actually switch over to 4.x.

The notebook is now at the home of the professor who owns it, so getting the log
files isn't an option at this point. I have a copy of the config files, but
given that you closed the bug report with a resolution of "WONTFIX", it's
probably not worth posting them. It's working fine now with 3.3.6-35,
so I'll just avoid 3.3.6-38 if/when the notebook is in for further updates.
Comment 4 Mike A. Harris 2001-07-25 13:42:17 EDT
Regardless of which hardware you have, XFree86 4.x gets installed
if you install X at all as it is the base XFree86.  4.x has a single
server with multiple drivers.  When configuring your video in the
installer, by default, unless you override it, the XFree86 4.x server
is used with all video hardware *except* hardware that is known to
not work well or at all with 4.x but which works with a 3.3.6 server
instead.  In the latter case, in addition to the 4.x release being
installed, a 3.3.6 server binary for your hardware is also installed.

Most users are now using XFree86 4.x.  The installer *uses* 3.3.6 for
display of the install program *only* during install.  ie: the menus
and whatnot displayed during install are running in 3.3.6 FBDev.  That
is not what is _installed_ on the system though.  When you configure
X, a _second_ X server is started up if you opt to test the configuration,
and that server is 4.x if you chose 4.x, or if it defaults to 4.x for
your hardware, or it is a 3.3.6 server otherwise.  Either way if X
is installed on your system, 4.x is installed.  You can verify this with:
"rpm -q XFree86".

You're right about the latter, I need log files.  Pretty much 90-95% of all X
bugs, log files and configs are required, so if you report a bug, you should
supply them by default as attachments.

My reason for requesting you to try 4.x is that 3.3.6 is deprecated and
will be disappearing.  I do not however want users to lose out because they
rely on 3.3.6 and use it rather than reporting any bugs in 4.x.  If people
just use 3.3.6, then when it goes away, they then MUST use 4.x and hope it
works, or install older 3.3.6 servers on their own.  3.3.6 bugs get very
low priority right now.  There very likely may not be another 3.3.6 major

My suggestions are only to help ease transitions.  I don't want to see
people stuck when 4.x is the only show in town.

Note You need to log in before you can comment on or make changes to this bug.